Lua_TaskVideoWindow = class("Lua_TaskVideoWindow", Lua_Window);
function Lua_TaskVideoWindow:ctor()
	self:superCall("ctor");

	self.layer = 6500;
	self.showClose = false;

	self.windowName = "Lua_TaskVideoWindow";
	self.skinName = "TaskVideoWindow_skin";
end

function Lua_TaskVideoWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.skipObj:SetActive(false);

	self.videoImage = UICreate.createVideoImage(self.content, "", 0, 0, 1560, 720);
	self.videoImage.isLooping = false;
	self.videoImage.playOnAwake = false;
	self.videoImage:setDepth(5);
	self.videoImage:addLoadEndFun(self, self.playStart);
	self.videoImage:addVideoEndFun(self, self.playEnd);
end

function Lua_TaskVideoWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.showSkipBtn);
	if self.isRecover == nil then
		self.isRecover = true
		AudioManager.playAllMusic();
	end

	if self.videoImage ~= nil then
		self.videoImage:dispose();
		self.videoImage = nil;
	end
	self:superCall("dispose");
end

function Lua_TaskVideoWindow:showWin(param)
	self:superCall("showWin", param);

	self.videoImage:setUrl(param.video_url);
end

function Lua_TaskVideoWindow:playStart()
	AudioManager.muteAllMusic();
	self.videoImage:play();

	local skipTime = Lua_CommonUtil.getCommonConfig("first_skip_time", 1);
	Lua_CommonUtil.delayCall(skipTime, self, self.showSkipBtn);
end

function Lua_TaskVideoWindow:showSkipBtn()
	Lua_CommonUtil.removeTimer(self, self.showSkipBtn);

	self.skipObj:SetActive(true);
	self.skipBtn:addClickFuntion(self, self.onSkipBtnClick);
end

function Lua_TaskVideoWindow:onSkipBtnClick()
	self:playEnd(true);
end

function Lua_TaskVideoWindow:playEnd(val)
	if self.isRecover == nil then
		self.isRecover = true
		AudioManager.playAllMusic();
	end

	local cmd;
	if self.showData.status == Lua_TaskDefine.ACCEPT  then
		cmd = getProtoMsg("Proto11400326");
		cmd.task_id = self.showData.taskId;
		sendMsg(11400326, cmd);
	elseif self.showData.status == Lua_TaskDefine.DELIVERED then
		cmd = getProtoMsg("Proto11400328");
		cmd.task_id = self.showData.taskId;
		sendMsg(11400328, cmd);
	elseif getLanType() == 2 and self.showData.taskType == Lua_TaskDefine.ROUTINE then
		self.showData.status = Lua_TaskDefine.DELIVERED;
		Lua_WindowUtil.openWin("Lua_DailyRoutineWindow",WinParam.ACTION_OPEN, self.showData);
	end
	self:hide();
	
	-- DataCenter.taskData:execTruckTask();
end

